Package com.independentsoft.office.diagrams

# Class Shape

java.lang.Object
com.independentsoft.office.diagrams.Shape

All Implemented Interfaces:
  `IElement`, `ILayoutNodeElement`

public class Shape extends Object implements IElement, ILayoutNodeElement
The Class Shape.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Shape()`
  Instantiates a new shape.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Shape`
  `clone()`
  `double`
  `getRotation()`
  Gets the rotation.
  `List<ShapeAdjust>`
  `getShapeAdjusts()`
  Gets the shape adjusts.
  `String`
  `getType()`
  Gets the type.
  `int`
  `getZOrderOffset()`
  Gets the z order offset.
  `boolean`
  `isHideGeometry()`
  Checks if is hide geometry.
  `boolean`
  `isPreventTextEditing()`
  Checks if is prevent text editing.
  `boolean`
  `isUseImagePlaceholder()`
  Checks if is use image placeholder.
  `void`
  `setHideGeometry​(boolean hideGeometry)`
  Sets the hide geometry.
  `void`
  `setPreventTextEditing​(boolean preventTextEditing)`
  Sets the prevent text editing.
  `void`
  `setRotation​(double rotation)`
  Sets the rotation.
  `void`
  `setType​(String type)`
  Sets the type.
  `void`
  `setUseImagePlaceholder​(boolean useImagePlaceholder)`
  Sets the use image placeholder.
  `void`
  `setZOrderOffset​(int zOrderOffset)`
  Sets the z order offset.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Shape

    public Shape()
    Instantiates a new shape.

- ## Method Details

  - ### clone

    public Shape clone()
    Specified by:
      `clone` in interface `IElement`
    Specified by:
      `clone` in interface `ILayoutNodeElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getShapeAdjusts

    public List<ShapeAdjust> getShapeAdjusts()
    Gets the shape adjusts.
    Returns:
      the shape adjusts

  - ### isUseImagePlaceholder

    public boolean isUseImagePlaceholder()
    Checks if is use image placeholder.
    Returns:
      true, if is use image placeholder

  - ### setUseImagePlaceholder

    public void setUseImagePlaceholder​(boolean useImagePlaceholder)
    Sets the use image placeholder.
    Parameters:
      `useImagePlaceholder` - the new use image placeholder

  - ### isHideGeometry

    public boolean isHideGeometry()
    Checks if is hide geometry.
    Returns:
      true, if is hide geometry

  - ### setHideGeometry

    public void setHideGeometry​(boolean hideGeometry)
    Sets the hide geometry.
    Parameters:
      `hideGeometry` - the new hide geometry

  - ### isPreventTextEditing

    public boolean isPreventTextEditing()
    Checks if is prevent text editing.
    Returns:
      true, if is prevent text editing

  - ### setPreventTextEditing

    public void setPreventTextEditing​(boolean preventTextEditing)
    Sets the prevent text editing.
    Parameters:
      `preventTextEditing` - the new prevent text editing

  - ### getRotation

    public double getRotation()
    Gets the rotation.
    Returns:
      the rotation

  - ### setRotation

    public void setRotation​(double rotation)
    Sets the rotation.
    Parameters:
      `rotation` - the new rotation

  - ### getType

    public String getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(String type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getZOrderOffset

    public int getZOrderOffset()
    Gets the z order offset.
    Returns:
      the z order offset

  - ### setZOrderOffset

    public void setZOrderOffset​(int zOrderOffset)
    Sets the z order offset.
    Parameters:
      `zOrderOffset` - the new z order offset